/operators
This endpoint allows you to create an Operator, which is the system's users.
There are five account types which determines access permission level: "admin", "manager", "technician", "operator" and "reporter".
createOperator
Content-Type: application/json
· Required fields: account, email, full_name, password
full_name
string
required
email
string (email)
required
password
string (password)
required
write-only
Must have at least one uppercase letter and one digit or special character.
account
string
required
Type of account which determines the access permission level.
admin
manager
technician
operator
reporter
language
string
If no language is provided, the default Entity language will be used.
ar
ca
da_dk
en
es
fr_fr
pl_pl
pt_br
pt_pt
ko
zh_cn
nl_nl
timezone
string
Valid PHP timezone identifier. See the full list here: https://www.php.net/manual/en/timezones.php. If no timezone is provided, the default Entity timezone will be used.
Example: Europe/Lisbon
cost_per_hour
number
Example: 10
warehouse_id
integer | null
ID of the warehouse associated to the Operator by default.
phone
string | null
cellphone
string | null
technical_skills
array<integer> | null
An array with the IDs of the TechnicalSkills we want to associate the Operator.
data
object
Operator model structure details
id
string
read-only
ID of the Operator
type
string
read-only
Model type
operator
attributes
object
operator_id
integer
read-only
ID of the Operator
operator_uuid
string (uuid)
read-only
Uuid of the Operator
full_name
string
email
string (email)
phone
string | null
cellphone
string | null
account
string
Type of account which determines the access permission level.
admin
manager
technician
operator
reporter
language
string
ar
ca
da_dk
en
es
fr_fr
pl_pl
pt_br
pt_pt
ko
zh_cn
nl_nl
de_de
cost_per_hour
number
Example: 10
warehouse_id
integer
ID of the warehouse associated to the Operator by default.
entity_id
integer
read-only
timezone
string
Valid PHP timezone identifier. See the full list here: https://www.php.net/manual/en/timezones.php.
Example: Europe/Lisbon
is_from_network
boolean
created_at
string (date-time)
phone_country_code
string
Example: US
is_first_web_login
boolean | null
read-only
status
string
WORKING
AVAILABLE
OFFLINE
Example: WORKING
meta
object
custom_fields
object | null
status
string
error
error
object
properties
object
Only present when related to property validation error
dev_message
string
Example: Property validation error. Check the "properties" section in the response.
http_code
integer
400
message
string
Example: Property validation error.
more_info
string
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X POST \
'https://api.sandbox.infraspeak.com/v3/operators' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-d '{
"full_name": "",
"email": "",
"password": "",
"account": "",
"language": "",
"timezone": "Europe/Lisbon",
"cost_per_hour": 10,
"warehouse_id": 0,
"phone": "",
"cellphone": "",
"technical_skills": []
}'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/operators', {
method: 'POST',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
body: JSON.stringify({
"full_name": "",
"email": "",
"password": "",
"account": "",
"language": "",
"timezone": "Europe/Lisbon",
"cost_per_hour": 10,
"warehouse_id": 0,
"phone": "",
"cellphone": "",
"technical_skills": []
}),
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->post('https://api.sandbox.infraspeak.com/v3/operators',
array (
'full_name' => '',
'email' => '',
'password' => '',
'account' => '',
'language' => '',
'timezone' => 'Europe/Lisbon',
'cost_per_hour' => 10,
'warehouse_id' => 0,
'phone' => '',
'cellphone' => '',
'technical_skills' =>
array (
),
)
);
import requests
response = requests.post(
'https://api.sandbox.infraspeak.com/v3/operators',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
json={
{
"full_name": "",
"email": "",
"password": "",
"account": "",
"language": "",
"timezone": "Europe/Lisbon",
"cost_per_hour": 10,
"warehouse_id": 0,
"phone": "",
"cellphone": "",
"technical_skills": []
}
},
)
data = response.json()